---
title: EventSource.onerror
slug: Web/API/EventSource/onerror
tags:
  - API
  - Event Handler
  - EventSource
  - Property
  - Reference
  - Server-sent events
  - onerror
---
<div>{{APIRef('WebSockets API')}}</div>


<p>The <code><strong>onerror</strong></code> property of the {{domxref("EventSource")}} interface is an {{domxref("EventHandler")}} called when an error occurs and the {{event("error")}} event is dispatched on an <code>EventSource</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">eventSource.onerror = function</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">evtSource.onerror = function() {
  console.log("EventSource failed.");
};</pre>

<div class="note">
<p><strong>Note</strong>: You can find a full example on GitHub — see <a href="https://github.com/mdn/dom-examples/tree/master/server-sent-events">Simple SSE demo using PHP.</a></p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "comms.html#handler-eventsource-onerror", "onerror")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<ul>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.EventSource.onerror")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("EventSource")}}</li>
</ul>
